Bug 216969 - "local" buildsys repo can pull in the wrong arch
"local" buildsys repo can pull in the wrong arch
Product: Fedora Hosted Projects
Classification: Retired
Component: mock (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Clark Williams
Depends On:
  Show dependency treegraph
Reported: 2006-11-22 17:11 EST by Orion Poplawski
Modified: 2013-01-09 23:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-19 11:08:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-11-22 17:11:44 EST
Description of problem:

Just had an instance where mock/yum tried to pull in an x86_64 rpm from
http://buildsys.fedoraproject.org/plague-results/fedora-development-extras/ into
an i386 buildroot.  Fixed with:

exclude=*.x86_64 *.ppc

Version-Release number of selected component (if applicable):
Comment 1 Jesse Keating 2006-11-22 17:24:33 EST
Hrm, I'm not sure why we ship this config in the mock packages.  It would just
be confusing I think.
Comment 2 Orion Poplawski 2006-11-22 17:27:07 EST
I've found it alternatively useful and annoying.  Annoying when
buildsys.fedoraproject.org was down my local mock builds failed.  Useful as in
just now when I wan to use my new built cmake package to do some local test builds.
Comment 3 Clark Williams 2006-12-19 11:08:21 EST
thanks, I've applied the exclude logic to all configs that contain a [local]
repo configuration.

Note You need to log in before you can comment on or make changes to this bug.